function changes, u, uold,plot=plot,all=all,notrace=notrace
;+
; changes in u from uold,  momentum excluded
;-
@common
a=size(u) 
ny=a(1) 
nx=a(2)
if(n_elements(all) ne 0) then begin 
   j=indgen(ny) 
endif else begin 
   j=[0,2,3+indgen(ny-3)] ; no momentum, positive definite quantities only, should be -3
endelse

if(n_elements(notrace) ne 0) then j= j(where(j lt 6))

xxx=u[j,1:nx-2] / uold[j,1:nx-2] - 1.d0
mx=max(abs(xxx))
;
if(n_elements(plot) ne 0) then begin
   wset,13
   pold=!p
   !p.multi=0
   j=indgen(ny)
   xxx=u[j,1:nx-2] / uold[j,1:nx-2] - 1.d0
   desc=states()
   ytickn=strcompress(desc(j),/remove_all)
   yticks=n_elements(ytickn)-1
   ytickv=indgen(n_elements(ytickn))
   plot_image,transpose(xxx),/nosq,origin=[1,1]*0,ytitle='state',xtitle='x index',$
              min=-.001,max=.001,yticks=yticks,ytickn=ytickn,ytickv=ytickv,charsize=1
   !p=pold
endif
return,mx
end
