function ltradloss,temp
@common
common ltradloss,tt,tcool
if(n_elements(tt) eq 0) then begin   ; read data for lookup
   print,'Lookup table (ionization equilibrium) for radiation losses '
   file = param.datadir+'coolingfunction'
   openr,lu,/get,file
   str = '' & readf,lu,str
   nelem = 0 &  nt = 0
   readf,lu,nelem,nt
   str = '' & readf,lu,str
   str = '' & readf,lu,str
   ab = fltarr(nelem)
   readf,lu,ab
   str = '' & readf,lu,str
   str = '' & readf,lu,str
   tt = fltarr(nt)
   readf,lu,tt
   tcool = dblarr(nt)
   str = '' & readf,lu,str
   readf,lu,tcool
   tcool=alog10(tcool)
   free_lun,lu
;
;   tt=congrid(tt,20)
;   tcool=congrid(tcool,20)
endif
;
lgt=alog10(temp)
lgc=interpol(tcool,tt,lgt)
return,10.^lgc
end

