pro umovie,file=file,wait=wait,ratio=ratio,equilibrium=equilibrium,tmax=tmax,element=element
;+
;  makes a movie of saved files uN.sav, N=0... number of calcs saved.
;  
;-
@common
window,14,xsize=1200,ysize=1000,title='Physical variables'
j='ok'
t=0l
if(n_elements(wait) eq 0) then wait=0.05
if(n_elements(file) ne 0) then print,'writing ',file+'.gif...'
if(n_elements(tmax) eq 0) then tmax=1.d300

while j ne '' do begin 
   ifile='u'+strtrim(string(t),2)+'.sav'
   j=findfile(ifile)
   if(j ne '') then restore,j

   if(t eq 0) then begin 
      a=size(u)
      nx=a(2)
      nu=a(1)
      desc=states(/reset)
      x=param.xmin+(param.xmax-param.xmin)*findgen(param.nx)/(param.nx-1)
   endif

   uplot,x,u,float(t),ratio=ratio,equilibrium=equilibrium,element=element

   t=t+1

   if(n_elements(file) ne 0) then begin 
      write_gif,file+'.gif',tvrd(),/multiple
   endif 
   wait,wait
   if (t gt tmax) then goto, endit
endwhile

endit:
if(n_elements(file) ne 0) then begin 
   write_gif,file+'.gif',tvrd(),/multiple,/close
   print,'written ',file+'.gif'
endif

return
end
