pro gravity,x
;+
; loop geometry and gravity
;  set array gg = local component of gravity at grid points
;-
@common
factor=1
xmax=max(x) & xmin=min(x)
xx= factor*(x-xmin)/(xmax-xmin)*!dpi
gg=cos(xx)*param.grav
return
end
