function iondata,print=print
@common
common  iondata,data
if(n_elements(data) ne 0) then return,data
dir=param.datadir
f=dir+'fitpar15.dat'
fil=findfile(f)
if(fil(0) eq '') then message,'line data file '+f+' not found '
;
str=''
data={el:0,sp:0,o0:0.,o1:0.,o2:0.,e0:0.,e1:0.,e2:0.}
d=data
;
desc=states()
openr,lu,/get,fil(0)
while not eof(lu) do begin 
   readf,lu,str
   if(strmid(str,0,1) eq '*') then goto, skip
   ok=getwrd(str,1)
   if(ok eq '') then goto, skip
   d.el=fix(getwrd(str))
   d.sp=fix(getwrd(str,1))
   sp=specno(d.el,desc,indx)
   if(min(sp) gt 0) then begin 
      print,' storing ion data for ', d.el,d.sp
      d.o0=float(getwrd(str,5))
      d.o1=float(getwrd(str,6))
      d.o2=float(getwrd(str,7))
      d.e0=float(getwrd(str,8))
      d.e1=float(getwrd(str,9))
      d.e2=float(getwrd(str,10))
      data=[data,d]
   endif
skip:
endwhile
free_lun,lu
data=data(1:*)
return,data
end
