function states,reset=reset
;
; returns names of the states computed (rho,p,e, etc)
;
@common
common statestuff, desc
;
if(n_elements(reset) eq 0 and n_elements(desc) ne 0) then return, desc
;
desc = ['rho','rhoV','E']
nn=n_elements(param.ielements)
;
if(nn gt 0) then begin 
   for i=0,nn-1 do begin 
      element=param.ielements(i)
      for j=param.specmin(i)-1,(element < param.specmax) do begin
         ss=strtrim(string(j),2)
         if(j eq 0) then desc=[desc,param.elements(i)+' '] else desc=[desc,param.elements(i)+' '+ss+'+']
      endfor
   endfor
endif
if(n_elements(reset) eq 0) then return,desc
Print,'=========================================================='
print,'  STATES:  THESE QUANTITIES ARE TO BE SOLVED FOR'
Print,'----------------------------------------------------------'
ny = n_elements(desc)
for i=0,ny-1 do begin
   print,'      ',i,'       ',desc(i)
endfor
Print,'----------------------------------------------------------'
return,desc
end
